Themes: Bootstrap

theme_bootstrap
Maintained by Picture of Bas BrandsBas Brands
This is a Moodle theme based on the Bootstrap CSS framework. It has minimal styling and can be used to create User Experience optimized themes

Bootstrap 2014120803

Release notes

About this theme

image1

This is the Bootstrap theme for Moodle.

This theme has been created with the help of: Stuart Lamour, Mark Aberdour, Paul Hibbitts, Mary Evans, Joby Harding, Gareth J Barnard

This theme is based on the Bootstrap CSS framework version 3.2.0 It contains all unmodified less* CSS sources from the Bootstrap CSS framework in folder /less/bootstrap. On top of the Bootstrap less CSS sources Moodle CSS is added to create this theme.

Modify this theme

Do not modify or clone this theme. If you want to customize this theme create a child theme, a simple child theme is available on: https://github.com/bmbrands/theme_cerulean

Moodle versions

This theme works on Moodle 2.6 and Moodle 2.7

Warning

This is a Beta theme in development. It does not support: Internet Explorer8 & Right-to-Left laguages

Supported browsers

IE9+ Recent versions of all modern browsers

Less CSS

Less CSS is a Object Oriented way of writing CSS code. All Less CSS files for this theme are stored in the /less folder. A developer can use recess to generate the CSS files in the /style folder. For more information read /less/README

JavaScript Libraries

This theme only uses YUI libraries. If you would like to used any of the advance Bootstrap3 JavaScript you can create a child theme that requires jQuery

html5shiv.js

To provide backwards compatibility for HTML5 for Internet Explorer 7 (IE7) and Internet Explorer 8 (IE8) a javascript library call /javascript/html5shiv.js was added. This JavaScript converts HTML tags and CSS into Tag that are understood by IE7 and IE8. The config.php makes sure these libraries are only loaded for IE7 and IE8.

Updating Bootstrap and Libraries

bootstrap

This theme uses the original unmodified version 3.1.1 Bootstrap less files. These are Object Oriented CSS files. The bootstrap repository is available on:

https://github.com/twbs/bootstrap.git

To update to the latest release of Bootstrap remove all files from less/bootstrap, download the new less files and store them in less/bootstrap Inclusion of bootstrap files is configured in less/moodle.less. To generate the new Moodle CSS read /less/README

html5shiv.js

This theme uses the original unmodified html5shiv.js JavaScript library to enable HTML5 tags in IE7 and IE8. This library is available on:

https://github.com/aFarkas/html5shiv/blob/master/src/html5shiv.js

To update to the latest release of html5shiv download and replace: javascript/html5shiv.js

Licenses & Authors

Bootstrap Copyright and license

Authors: Mark Otto, Jacob Thornton URL: http://getbootstrap.com/ License:

Copyright 2012 Twitter, Inc.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this work except in compliance with the License. You may obtain a copy of the License in the LICENSE file, or at:

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Html5shiv.js

Author: Sjoerd Visscher URL: http://en.wikipedia.org/wiki/HTML5_Shiv, https://github.com/aFarkas/html5shiv License: MIT/GPL2 Licensedc

Moodle 2.6, 2.7, 2.8

Version information

Version build number
2014120803
Version release name
2014120803
Can be updated from
2014051302 (2014051302), 2014100300, 2014100300, 2014100300 (2014120800), 2014120800, 2014120800 (2014120800)
Maturity
Stable version
MD5 Sum
ea58e625a2807048d794ec3941f42691
Supported software
Moodle 2.6, Moodle 2.7, Moodle 2.8
  • This is the latest release for Moodle 2.6
  • This is the latest release for Moodle 2.7
  • The more recent release 2015043000 (2015043000) exists for Moodle 2.8

Version control information

Version control system (VCS)
GIT
VCS repository URL

Default installation instructions for plugins of the type Themes

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder (e.g. "ponies") in the "theme" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation